Bug 10429 - branch filter not working in serial claims
Summary: branch filter not working in serial claims
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin Somers
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-07 12:53 UTC by Fridolin Somers
Modified: 2015-06-04 23:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (3.85 KB, patch)
2013-06-07 13:11 UTC, Fridolin Somers
Details | Diff | Splinter Review
[SIGNED OFF (3.94 KB, patch)
2013-07-18 06:46 UTC, David Cook
Details | Diff | Splinter Review
[SIGNED OFF] Bug 10429 - branch filter not working in serial claims (3.94 KB, patch)
2013-07-18 06:52 UTC, David Cook
Details | Diff | Splinter Review
screenshot of wrong result list (48.54 KB, image/png)
2013-07-21 12:11 UTC, Katrin Fischer
Details
[PASSED QA] Bug 10429 - branch filter not working in serial claims (4.53 KB, patch)
2013-12-29 13:56 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2013-06-07 12:53:46 UTC
In serial claims page, the branch code is displayed in table instead of branch name and branch filter does not work.
Comment 1 Fridolin Somers 2013-06-07 13:11:35 UTC Comment hidden (obsolete)
Comment 2 David Cook 2013-07-18 06:46:28 UTC Comment hidden (obsolete)
Comment 3 David Cook 2013-07-18 06:52:27 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2013-07-21 12:11:06 UTC Comment hidden (obsolete)
Comment 5 Fridolin Somers 2013-07-24 12:24:32 UTC
(In reply to Katrin Fischer from comment #4)
> Dependig on the sequence in which you change select the filters it's still
> possible that the result list does not match the selected filters.
> 
Indeed, the filters are not cumulative. But i think this is another bug.
Maybe claims page needs a JQuery datatable.
Comment 6 Fridolin Somers 2013-09-19 10:24:32 UTC
(In reply to Fridolyn SOMERS from comment #5)
> Indeed, the filters are not cumulative. But i think this is another bug.
> Maybe claims page needs a JQuery datatable.
Created Bug 10914
Comment 7 Fridolin Somers 2013-10-28 13:38:07 UTC
I set back to signedoff
Comment 8 Jonathan Druart 2013-10-29 15:50:09 UTC
For information: I removed these filters in one of my patches for bug 10855 (patch "Bug 10855: Search subscriptions by additional fields on the claim page").
Comment 9 Katrin Fischer 2013-12-29 13:56:17 UTC
Created attachment 23864 [details] [review]
[PASSED QA] Bug 10429 - branch filter not working in serial claims

In serial claims page, the branch code is displayed in table instead of branch name and branch filter does not work.

This patch adds the display of branch name by using branches template plugin.
It changes javascript branch filter to make it work.
Also sets "all" filter in template (like status filter) to allow translation and sets "all" as selected by default. Librairian branch was selected by default, but the table was not filtered with it.

Test plan :
- Go to serials claim of a vendor with serials of multiple branches
=> You see branch filter with "(All)" and table shows libraries names
- Check that branch filter does its work

Signed-off-by: David Cook <dcook@prosentient.com.au>
Works as described.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Table now shows the branch name instead of the branchcode.
First option was named (All), matching the status pull down.
When opening the claims page, (All) is preselected and the
result list matches with the selection. Before the patch
the library was preselected, but the result list did show
late issues from all branches.

This patch is an improvement, but there is still more work to do.

- Filters are not cumulative, but when another filter is selected
  the first filter is not reset.
- It's not possible to combine
  2 or more filters.
Comment 10 Jonathan Druart 2014-01-06 10:58:54 UTC
> This patch is an improvement, but there is still more work to do.
> 
> - Filters are not cumulative, but when another filter is selected
>   the first filter is not reset.
> - It's not possible to combine
>   2 or more filters.

Will be possible with bug 10855
Comment 11 Galen Charlton 2014-01-06 15:37:41 UTC
Pushed to master.  Thanks, Fridolin!
Comment 12 Fridolin Somers 2014-02-18 08:12:47 UTC
Patch pushed to 3.14.x, will be in 3.14.4.